#ifndef MQCellInfoPlotter_HH
#define MQCellInfoPlotter_HH

#include <mouse_config.h>
#ifdef WITH_QT

class MQCellInfoPlotter;

#include <PopList2D.hh>
#include <PointList.hh>
#include <MQPlotter.hh>
#include <CellProjection2D.hh>

/** */
class MQCellInfoPlotter : public MQPlotter
{
  Q_OBJECT
  
protected:
  /** */ PointList *PL;
  /** */ PopList2D *POPL;

public:
  /** */ MQCellInfoPlotter(ConstructArg arg, QWidget *parent=0, const char *name=0);
  /** */ virtual void AddBoundaryVectors(CellProjection2D *fcell, size_t i);
  /** */ virtual void Plot(MQPlotWidget *pw, QPainter *P, const QRect *R);
};

#endif
#endif
