#ifndef MQMultiGridPopPlotter_HH
#define MQMultiGridPopPlotter_HH

#include <mouse_config.h>
#ifdef WITH_QT

class MQMultiGridPopPlotter;

#include <MQPopPlotter.hh>
#include <PopList2D.hh>
#include <MultiGridAgent.hh>

class MQMultiGridPopPlotter : public MQPopPlotter
{
  Q_OBJECT;

protected:
  /** */ TList<MultiGridAgent<PopList2D>*> *mg_agents;
  /** */ MultiGridAgent<PopList2D> *mg_agent;
  /** */ size_t CoarsePoint(size_t p);

public:
  /** */ MQMultiGridPopPlotter(carg_t arg);
  /** */ virtual void Plot(MQPlotWidget *pw, QPainter *P, const QRect *R);
};

#endif
#endif
