#if !defined(MQMultiGridCellInfoPlotter_HH)
#define MQMultiGridCellInfoPlotter_HH

#include <mouse_config.h>
#ifdef WITH_QT

class MQMultiGridInfoPlotter;

#include <MQCellInfoPlotter.hh>
#include <MultiGridAgent.hh>

/**
   This plotter prints some point information on the screen.
*/
class MQMultiGridCellInfoPlotter : public MQCellInfoPlotter
{
  Q_OBJECT

protected:
  /** */ TList<MultiGridAgent<PopList2D>*> *mg_agents;

public:
  /** */ MQMultiGridCellInfoPlotter(ConstructArg arg, QWidget *parent=0, 
				     const char *name=0);
  /** */ virtual void AddBoundaryVectors(CellProjection2D *fcell, size_t i);
};

#endif
#endif
