#include <mouse_config.h>
#ifdef WITH_QT

#include "MQMultiGridPointInfoPlotter.hh"
#include <qstring.h>
#include <qpainter.h>
#include <MQPlotWidget.hh>

MQMultiGridPointInfoPlotter::MQMultiGridPointInfoPlotter(ConstructArg arg, 
							 QWidget *parent, 
							 const char *name) : 
  MQPointInfoPlotter(arg, parent, name)
{
  AddClassName();
  PL = FindObject<PointList>(false, true);
  int level = arg.P->ReadInt();
  MultiGridAgent<PopList2D> *mga;
  mga = MultiGridAgent<PopList2D>::FindAgent(this, level);
  PL = mga->FinePL();

  /*
  mg_agents = new TList<MultiGridAgent<PopList2D>*>(5,5,NULL);
  while (!arg.P->eof()) {
    mga = ResolveVar<MultiGridAgent<PopList2D> >(arg);
    mg_agents->NewEntry() = mga;
  };
  */
};

/*
size_t MQMultiGridPointInfoPlotter::CoarsePoint(size_t p)
{
  FORALL(i, mg_agents->) {
    p = mg_agents->At(i)->CoarsePoint(p);
  };
  return p;
};
*/

/*
void MQMultiGridPointInfoPlotter::Plot(MQPlotWidget *pw, QPainter *P, const QRect *R)
{
  try {
    MultiGridAgent<PopList2D> *mga = mg_agents->At(mg_agents->last());
    for (size_t i = PL->First(); i < PL->NumEntries(); i = PL->Next(i)) {
      size_t p = CoarsePoint(i);
      int code = mga->CoarsePL()->code(p);
      DrawInfo(pw, P, mga->CoarsePL(), p);
    };
  } catch (NotFound_error) {
    MQPointInfoPlotter::Plot(pw, P, R);
  };
};
*/

#endif
