template<class POP>
MultiGridIsoVarValue<POP>::MultiGridIsoVarValue(carg_t arg) : IsoVarValue(arg)
{
  AddClassName();
  MultiGridAgent<PopList2D> *mga;
  mg_agents = new TList<MultiGridAgent<PopList2D>*>(5,5,NULL);
  while (!arg.P->eof()) {
    mga = ResolveVar<MultiGridAgent<PopList2D> >(arg);
    mg_agents->NewEntry() = mga;
  };
  mga = mg_agents->At(mg_agents->last());
  VL = mga->CoarseVL();
  var = VL->Get1DVar(field_name, var_name);
};

template<class POP>
size_t MultiGridIsoVarValue<POP>::CoarsePoint(size_t p)
{
  FORALL(i, mg_agents->) {
    p = mg_agents->At(i)->CoarsePoint(p);
  };
  return p;
};

template<class POP>
void MultiGridIsoVarValue<POP>::CalcValues()
{
  FORALL(i, PL->) {
    plot_value->At(i) = var[CoarsePoint(i)];
  };
};
