#include <CppConstructArg.hh>

template<class POP>
MultiGridTransferToCoarse<POP>::MultiGridTransferToCoarse(carg_t arg) : Action(arg)
{
  AddClassName();
  mg_agent = ResolveVar<MultiGridAgent<POP> >(arg);
  string new_name = arg.P->ReadString();
  string res_name = arg.P->ReadString();
  reset_coarse = new TPOperation<MultiGridResetCoarse<POP> ,POP>
    (ccarg_t(this) + (ccarg_t(this) + (  ccarg_t(this) 
				       + ccarg_var(mg_agent)
				       + new_name
				       + res_name )));
  restr_new = new TPOperation<MultiGridWeightedRestriction<POP> ,POP>
    (ccarg_t(this) + (ccarg_t(this) + (  ccarg_t(this) 
				       + ccarg_var(mg_agent)
				       + new_name 
				       + new_name
				       + real(1) )));
  restr_res = new TPOperation<MultiGridRestriction<POP> ,POP>
    (ccarg_t(this) + (ccarg_t(this) + (  ccarg_t(this) 
				       + ccarg_var(mg_agent)
				       + res_name 
				       + string("mg_source")
				       + real(-1) )));
};

template<class POP>
void MultiGridTransferToCoarse<POP>::Act()
{
  reset_coarse->Act();
  restr_new->Act();
  restr_res->Act();
};
